package com.kamco.cd.training.postgres.repository.hyperparam;

import com.kamco.cd.training.hyperparam.dto.HyperParamDto;
import com.kamco.cd.training.postgres.entity.ModelHyperParamEntity;
import java.util.Optional;
import java.util.UUID;
import org.springframework.data.domain.Page;

public interface HyperParamRepositoryCustom {

  /**
   * 마지막 버전 조회
   *
   * @return
   */
  Optional<ModelHyperParamEntity> findHyperParamVer();

  Optional<ModelHyperParamEntity> findHyperParamByHyperVer(String hyperVer);

  Optional<ModelHyperParamEntity> findHyperParamByUuid(UUID uuid);

  Page<HyperParamDto.List> findByHyperVerList(HyperParamDto.SearchReq req);
}
